.\"	$NetBSD: what.1,v 1.12 2002/10/02 10:07:05 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)what.1	8.1 (Berkeley) 6/6/93
.\"
.Dd February 22, 1999
.Dt WHAT 1
.Os
.Sh NAME
.Nm what
.Nd search files for SCCS identifiers
.Sh SYNOPSIS
.Nm
.Op Fl s
.Ar
.Sh DESCRIPTION
The
.Nm
utility reads each
.Ar file
operand and searches for sequences of the form
.Dq \&@(#)
as inserted by the source code control system.
It prints the remainder of the string following this marker, up to
a null character, newline, double quote, backslash, or
.Dq \&\*[Gt]
character.
.Pp
If the
.Fl s
option is specified, only the first occurrence of an identification string in
each file is printed.
.Sh EXIT STATUS
The
.Nm
utility exits 0 if any matches were found, and 1 otherwise.
.Sh STANDARDS
The
.Nm
utility conforms to
.St -xpg4.2 .
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.0 .
.Sh BUGS
As
.Bx
is not licensed to distribute
.Tn SCCS
this is a rewrite of the
.Nm
command which is part of
.Tn SCCS ,
and may not behave exactly the same as that command does.
